/*
 * Grouch.app				Copyright (C) 2006 Andy Sveikauskas
 * ------------------------------------------------------------------------
 * This program is free software under the GNU General Public License
 * --
 * This file is included by those files that wish to see BYTE_ORDER,
 * LITTLE_ENDIAN, BIG_ENDIAN etc. defined.
 */

#ifndef BYTE_ORDER
#if defined(__linux__)
#include <endian.h>
#elif defined(__APPLE__) || defined(__OpenBSD__) || defined(__NetBSD__) || \
      defined(__FreeBSD__)
#include <machine/endian.h>
#endif
#endif

/* XXX: For our purposes we can pretend that the system is little-endian,
 * since all of our code depends on htons() etc. anyway. The code will be
 * much less efficient for sending and receiving unicode messages, but,
 * the show must go on. */
#ifndef BYTE_ORDER
#define BYTE_ORDER	LITTLE_ENDIAN
#define LITTLE_ENDIAN	1
#define BIG_ENDIAN	2
#warning If your machine is big endian, this should be fixed.
#endif
